Skip to main content
GET

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the evaluation job to retrieve

Response

Evaluation job details retrieved successfully

workflow_id
string

The evaluation job ID

Example:

"eval-1234aedf"

type
enum<string>

The type of evaluation

Available options:
classify,
score,
compare
Example:

"classify"

owner_id
string

ID of the job owner (admin only)

status
enum<string>

Current status of the job

Available options:
pending,
queued,
running,
completed,
error,
user_error
Example:

"completed"

status_updates
object[]

History of status updates (admin only)

parameters
object

The parameters used for this evaluation

created_at
string<date-time>

When the job was created

Example:

"2025-07-23T17:10:04.837888Z"

updated_at
string<date-time>

When the job was last updated

Example:

"2025-07-23T17:10:04.837888Z"

results
object

Results of the evaluation (when completed)